Skip to main content
GET
/
streamers
Get streamers with flexible sorting options
curl --request GET \
  --url https://api.livesuite.app/streamers \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "data": [
    {
      "mintId": "<string>",
      "coinName": "<string>",
      "coinSymbol": "<string>",
      "currentViewers": 123,
      "tokenMarketCap": 123,
      "tokenPrice": 123,
      "isCurrentlyLive": true,
      "totalStreamingTime": 123,
      "chain": "<string>",
      "platform": "<string>"
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "totalPages": 123,
    "hasNext": true,
    "hasPrev": true
  },
  "timestamp": "2024-01-15T10:30:00.000Z"
}

Authorizations

x-api-key
string
header
required

API key for API authentication

Query Parameters

sortBy
enum<string>
default:viewers

Field to sort by

Available options:
viewers,
time,
marketCap,
fees
sortOrder
enum<string>
default:desc

Sort order

Available options:
asc,
desc
limit
integer
default:100

Number of streamers to return

Required range: 1 <= x <= 1000
page
integer
default:1

Page number for pagination

Required range: x >= 1
chain
enum<string>
default:solana

Blockchain chain (solana for PumpFun, base for Zora/Retake, all for aggregated data from all)

Available options:
solana,
base,
all
platform
enum<string>
default:pumpfun

Platform (pumpfun for Solana, zora/retake for Base, all for aggregated data from all)

Available options:
pumpfun,
zora,
retake,
all

Response

List of streamers with requested sorting

success
boolean
Example:

true

data
object[]

List of streamers

pagination
object
timestamp
string<date-time>
Example:

"2024-01-15T10:30:00.000Z"